# Uses of Class
org.jfree.chart3d.marker.CategoryMarker

Packages that use CategoryMarker
Package
Description
org.jfree.chart3d.axis
Axes (`CategoryAxis3D`, `NumberAxis3D` and `LogAxis3D`) plus supporting classes and interfaces.

## Uses of CategoryMarker in org.jfree.chart3d.axis

Methods in org.jfree.chart3d.axis that return CategoryMarker
Modifier and Type
Method
Description
`CategoryMarker`
CategoryAxis3D.`getMarker(String key)`
Returns the marker with the specified key, if there is one.
`CategoryMarker`
StandardCategoryAxis3D.`getMarker(String key)`
Returns the marker with the specified key, if there is one.
Methods in org.jfree.chart3d.axis that return types with arguments of type CategoryMarker
Modifier and Type
Method
Description
`Map<String,CategoryMarker>`
StandardCategoryAxis3D.`getMarkers()`
Returns a new map containing the markers that are assigned to this axis.
Methods in org.jfree.chart3d.axis with parameters of type CategoryMarker
Modifier and Type
Method
Description
`void`
StandardCategoryAxis3D.`setMarker(String key, CategoryMarker marker)`
Sets the marker for the specified key and sends a change event to all registered listeners.